<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package Yourstore
 * @subpackage Yourstore
 * @since Yourstore 1.0
 */

get_header(); ?>
<div id="pageContent">
	<div class="container">				
		<!-- title -->
		<div class="title-box">
			<h1 class="text-center mega"><?php esc_html_e( 'Not Found', 'yourstore' ); ?></h1>
		</div>
		<!-- /title -->		
		<div class="text-center"> 
			<img src="<?php echo esc_url(YOURSTORE_IMG_URL.'/page-404-icon.png')?>" alt="<?php esc_attr__('empty cart icon', 'yourstore')?>" class="img-responsive-inline">
			<div class="divider divider--lg"></div>
			<div class="page-content text-with-button">
				<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'yourstore' ); ?></p>
				<?php get_search_form(); ?>
			</div><!-- .page-content -->
		</div>
	</div>
</div>
<?php
get_footer();