<?php
/**
 * Add to wishlist template
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Wishlist
 * @version 2.0.0
 */

if ( ! defined( 'YITH_WCWL' ) ) {
	exit;
} // Exit if accessed directly

global $product;
?>
<?php if( ! ( $disable_wishlist && ! is_user_logged_in() ) ): ?>

    <?php yith_wcwl_get_template( 'add-to-wishlist-' . $template_part . '.php', $atts ); ?>

<?php else: ?>
    <a href="<?php echo esc_url( add_query_arg( array( 'wishlist_notice' => 'true', 'add_to_wishlist' => $product_id ), get_permalink( wc_get_page_id( 'myaccount' ) ) ) )?>" rel="nofollow" class="<?php echo esc_attr(str_replace( 'add_to_wishlist', '', $link_classes )) ?>">
        <?php echo wp_kses_post($icon) ?>
        <?php echo wp_kses_post($label) ?>
    </a>
<?php endif; ?>