jQuery(document).ready(function($) {
      "use strict";
    $(document).on('click','#header .cart .dropdown-toggle', function(){
        
        $(window).trigger('resize');
        var dest = $(this).closest('.cart').find('.cart-content');
        var offsetTop = dest.offset().top;
        dest.show();
        if(offsetTop < 0){
            dest.css('top','0px');
        }else if(dest.css('top').match(/\-/)){
            dest.css('top','0px');
        }else{
            dest.css('top','-'+(dest.outerHeight(true)+32)+'px');
        }
    });
    $(document.body).on('click', '#header .cart .cart__close', function(e){
        e.preventDefault();
        var dest = $(this).closest('.dropdown-menu');
        dest.css('top','-'+(dest.outerHeight(true)+32)+'px');
    });
    $('ul.product-categories').addClass('expander-list')
    $('ul.product-categories li').each(function(){
        if($(this).children('ul').length > 0){
            $(this).children('a').after('<span class="expander"></span>');
        }
    });
    $(document.body).on('click','ul.product-categories li > .expander', function(){
        var elem = $(this).parent();
        elem.toggleClass('active open').children('ul').slideToggle(300);
    });
    $('.header-compare .compare').on('click',function(e){
        e.preventDefault();
        var $this = $(this);
        if ( yith_woocompare.auto_open == 'yes'){
            $('body').trigger( 'yith_woocompare_open_popup', { response: $this.attr('href'), button: null } );
        }
    });
    
    if(typeof echo != 'undefined'){
        echo.init({
        callback: function(element, op) {
            if(op === 'load') {
                element.classList.add('img-loaded');
            } else {
                element.classList.remove('img-loaded');
            }
        }
        });
        $('.product__inside__carousel').on('slide.bs.carousel', function(e){
                setTimeout(function(){
                    echo.render();
                }, 1000);
        });
        $(document.body).on('click','.slick-arrow', function(){
            setTimeout(function(){
                echo.render();
            }, 1000);
        }).on('click', '.slick-prev', function(){
            setTimeout(function(){
                echo.render();
            }, 1000);
        }).on('click', '.slick-next', function(){
            setTimeout(function(){
                echo.render();
            }, 1000);
        }).on('click', '.nav-tabs li a', function(){
            setTimeout(function(){
                echo.render();
            }, 1000);
        });
        $('.nav .menu-item-has-children').on('mouseover touchstart', function(){
            echo.render();
            $(window).trigger('resize');
        });
    }
    
    $('.product__inside__info__link .tooltip-link, .product-info .tooltip-link').on('click', function(){
        $(this).next('a').trigger('click');
    });
    // wishlist
    $(document.body).on('added_to_wishlist', function(){
        showWishlistMessage();
        reloadWishlistInHeader();
    });
    function showWishlistMessage() {
        jQuery('#modalAddToWishlist').modal("toggle");
    }
    function reloadWishlistInHeader(){
        var $header = $('#header');
        if($header.attr('class').match(/header\-layout\-0(2|3)/)){
            $.ajax({
                url: adminurlajax.ajaxurl,
                data:{
                    action: 'yourstore_get_wishlist_count',
                    security:  adminurlajax.ajax_nonce_wcount,
                },
                success: function(resp){
                    if(resp.match(/\d+/)){
                        $header.find('.header-wishlist .badge.badge--cart').html(resp);
                    }
                }
            });
        }
    }
    reloadWishlistInHeader();
    //wishlist end
    //compare start
    $(document.body).on('yith_woocompare_open_popup', function(){
        reloadCompareInHeader();
    });
    function reloadCompareInHeader(){
        var $header = $('#header');
        if($header.attr('class').match(/header\-layout\-0(2|3)/)){
            $.ajax({
                url: adminurlajax.ajaxurl,
                data:{
                    action: 'yourstore_get_compare_count',
                    context: 'frontend',
                    security:  adminurlajax.ajax_nonce_ccount,
                },
                success: function(resp){
                    if(resp.match(/\d+/)){
                        $header.find('.header-compare .badge.badge--cart').html(resp);
                    }
                }
            });
        }
    }
    reloadCompareInHeader();
    //compare end
    // menu label custom style
    if($('span[data-primary-menu-label]').length > 0){
        $('span[data-primary-menu-label]').each(function(){
            var item = $(this);
            var options = item.data('primary-menu-label');
            if(options['background-color']){
                var $label_element_id = item.attr('id');
                var newstyles = '<style type="text/css">#'+$label_element_id+'{background-color:'+
                        options['background-color']+'; color'+options['color']+';} #'+$label_element_id+':after{border-top-color:'+options['background-color']+';}</style>';
                $('html head').append(newstyles);
            }
        });
    }
    $('.ys-product .product').on('mouseover', function(){
        if($('.product__inside__image div.item', $(this)).length > 0){
            var element = $('.product__inside__image div.item:first-child', $(this));
            var itemheight = element.height();
            element.siblings('.item').each(function(){
                $(this).find('img:not(.img-loaded)').css('height', itemheight+'px');
            });
        }
    }).on('mouseleave', function(){
        if($('.product__inside__image div.item', $(this)).length > 0){
            var element = $('.product__inside__image div.item:first-child', $(this));
            element.siblings('.item').each(function(){
                $(this).find('img').css('height', 'auto');
            });
        }
    });
    $(window).on('load', function(){
        if($(window).width() < 768 && $('#bigImg').length > 0){
            $('#bigImg').off('touchend touchmove');
        }
    });
});

(function(e) {
    //changing for cookie
    var obj = {
    init: function() {
        try
        {
        if (Cookies.get('popupNewsletter')!= 'disable') {
            this.checkboxEvent();
            var pause = e('#newsletterModal').attr('data-pause');
            setTimeout(function() {
            e('#newsletterModal').modal('show');
            var date = new Date();
            var minutes = 1;
            date.setTime(date.getTime() + (minutes * 60 * 1000));
            
            Cookies.set('popupNewsletter', 'disable', { expires:date,path: '/' });
            }, pause);
        }
        }
        catch (err) {} // ignore errors reading cookies
    },
    checkboxEvent: function() {
        e('input[id^="checkBox"]').change(function(){
        if (e(this).is(':checked')) {
            Cookies.set('popupNewsletter', 'disable', { expires:1,path: '/' });
        
        } else {
            
            Cookies.set('popupNewsletter', null, { path: '/' });
        }
        });
    }
    };
//end changing for cookie

    e(document).ready(function() {
        obj.init();
        //mutation event for rtl
        if(e('body').hasClass('rtl')){
            var $targets = document.querySelectorAll('.vc_row[data-vc-full-width]');
            NodeList.prototype.forEach = Array.prototype.forEach;
            $targets.forEach(function($target){
                var $config = { attributes: true, childList: true, characterData: true };
                var observer = new MutationObserver(function(mutations) {
                mutations.forEach(function(mutation) {
                    if(mutation.attributeName == 'style' && $target.style.left.indexOf('-') != -1){
                        var $right = $target.style.left;
                        $target.style.left = 'auto';
                        $target.style.right = $right;
                    }
                });
                });
                observer.observe($target, $config);
            });
        }
    });
})(jQuery)