<?php
/**
 * fallback redux class
 */
if(!class_exists('Redux') && !class_exists('ReduxFramework')){
    global $yourstore_option;
    class Redux{
        public static $hasOptions = false;
        public static function setArgs($option, $args){
            $options = get_option($option, false);
            if(!empty($options)){
                self::$hasOptions = true;
            }
        }
        public static function setSection($option, $args){
            if(isset($args['fields']) && !empty($args['fields']) && !self::$hasOptions){
                foreach($args['fields'] as $field){
                    if(isset($field['default']) && isset($field['id'])){
                        $id = $field['id'];
                        $updateArr = get_option($option, array());
                        if(is_array($field['default'])){
                            foreach($field['default'] as $key=>$val){
                                $updateArr[$id][$key] = $val;
                            }
                            update_option($option, $updateArr);
                        }else{
                            $updateArr[$id] = $field['default'];
                            update_option($option, $updateArr);
                        }
                    }
                }
            }
        }
    }
    function yourstore_redux_fallback_init_var(){
        global $yourstore_option;
        if(!is_admin() && !isset($yourstore_option)){
            $yourstore_option = get_option('yourstore_option');
            foreach ($yourstore_option as $yskey => $ysvalue){
                if($ysvalue == 'on'){
                    $yourstore_option[$yskey] = true;
                }elseif($ysvalue == 'off'){
                    $yourstore_option[$yskey] = false;
                }
            }
        }
    }
    add_action('init', 'yourstore_redux_fallback_init_var', 1);
}