<?php
global $woocommerce, $current_user, $yourstore_option;
$yourstore_option = yourstore_get_options();
?><!DOCTYPE html>
<!--[if IE 9]><html class="ie9" <?php language_attributes(); ?>><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html <?php language_attributes(); ?>><!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">	
<meta name="viewport" content="initial-scale=1.0,maximum-scale=1.0,user-scalable=no">	
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php 
if(function_exists( 'has_site_icon' ) && has_site_icon()){ // since 4.3.0
    wp_site_icon();
}elseif(isset($yourstore_option['yourstore-site-favicon']['url']) && !empty($yourstore_option['yourstore-site-favicon']['url'])){?>
    <link rel="icon" href="<?php echo esc_url($yourstore_option['yourstore-site-favicon']['url']) ?>" type="image/x-icon"/>
    <link rel="shortcut icon" href="<?php echo esc_url($yourstore_option['yourstore-site-favicon']['url']) ?>" type="image/x-icon"/>
<?php
}
wp_head(); ?>
</head>
<body>