<?php
get_header(); 
$yourstore_option = yourstore_get_options();
$blog_sidebar = isset($yourstore_option['is_single_blog_sidebar_enable']) ? $yourstore_option['is_single_blog_sidebar_enable'] : '1';
if ( function_exists('yoast_breadcrumb') ) {
?>
<section class="breadcrumbs">
	<div class="container">
        <div class="breadcrumb breadcrumb--ys pull-left">
        <?php
        if(function_exists('yoast_breadcrumb')){
            yoast_breadcrumb('','');
        }
        ?>
        </div>
	</div>
</section>
<?php }?>
<div id="pageContent">
    <div class="container">
        <!-- two columns -->
        <div class="row">
            <?php
            if ($blog_sidebar == '1') {
                ?>
                <?php if ( is_active_sidebar('blogleftsidebar') ){ ?>
                    <div class="col-xl-8 col-lg-8 col-md-8 col-xs-12 with-sidebar-blog " id="centerColumn">
                <?php }else{ ?>
                    <div class="col-xl-12 col-lg-12 col-md-12 col-xs-12" id="centerColumn">
                <?php } ?>
                    <?php
                }
                ?>
						<div class="blog-layout">
                        <?php
                    // Start the loop.
                            while ( have_posts() ) : the_post();
                                /*
                                 * Include the post format-specific template for the content. If you want to
                                 * use this in a child theme, then include a file called called content-___.php
                                 * (where ___ is the post format) and that will be used instead.
                                 */
                                get_template_part( 'content', get_post_format() );
                                the_content();
                                
                                wp_link_pages( array(
                                    'before'      => '<div class="page-pagination"><div class="page-numbers"><span class="page-links-title">' . esc_html__( 'Pages:', 'yourstore' ) . '</span>',
                                    'after'       => '</div></div>',
                                    'link_before' => '<span>',
                                    'link_after'  => '</span>',
                                    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'yourstore' ) . ' </span>%',
                                    'separator'   => ', ',
                                ) );
                                ?>
                                <div class="nav-links">
                                    <?php previous_post_link('%link', _x('<i class="dashicons dashicons-arrow-left-alt"></i> %title', 'Previous post link', 'yourstore')); ?>
                                    <?php next_post_link('%link', _x('%title <i class="dashicons dashicons-arrow-right-alt"></i>', 'Next post link', 'yourstore')); ?>
                                </div><!-- .nav-links -->
                                <?php
                                yourstore_print_post_tags();
                                // If comments are open or we have at least one comment, load up the comment template.
                                if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                                endif;
                                // End the loop.
                            endwhile;
                        ?>
                </div>
<?php
            if ($blog_sidebar == '1') {?>
            </div>
            <div class="divider divider--lg visible-md visible-sm visible-xs"></div>
            <aside class="col-xl-4 col-lg-4 col-xs-12" id="rightColumn">
                <?php
                get_sidebar();
                ?>
            </aside>
            <?php
            }
            ?>
        </div>
	</div>
</div>
<?php get_footer() ;